Download Bulk Read Result
Description
You can execute this API to download the result of a successful bulk read job that you initiated. This URL will also be sent in JSON response for the success state.
The downloaded CSV result file will contain a list of all the records matching your bulk read job query.
Request Details
Request URL
{api-domain}/baas/v1/project/{project_id}/bulk/read/{job_id}/download
The unique ID of the job that was sent in the initial in-progress status response after the Bulk Read API was executed
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Optional Headers
CATALYST-ORG: {org_id}
Environment: Development
Scope
ZohoCatalyst.tables.bulk.READ
Response Details
The bulk read result file will be automatically downloaded to the configured directory in your system after you execute this API.
File format: ZIP file containing the CSV result file
Sample result file showing the details of a bulk read job:
curl -X GET
https://api.catalyst.zoho.com/baas/v1/project/4000000006007/bulk/read/2000000118004/download
-H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”
Yes
No
Send your feedback to us
